## plover 4.0.0~dev8~66~g685bd33

=== requirements.txt ===
Babel==2.4.0
check-manifest==0.35
Cython==0.25.2
https://github.com/benoit-pierre/dmgbuild/archive/plover.zip; "darwin" in sys_platform
docutils==0.14
macholib==1.8; "darwin" in sys_platform
pip==9.0.1
pytest==3.1.3
setuptools-scm==1.15.5
wheel==0.30.0
-r requirements_distribution.txt

# vim: ft=cfg commentstring=#\ %s list

=== debian/changelog ===
plover (4.0.0~dev8~66~g685bd33-2) unstable; urgency=medium

  * Rebuild for source-only upload. (Closes: #950756)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 24 Mar 2020 20:02:17 -0400

plover (4.0.0~dev8~66~g685bd33-1) unstable; urgency=medium

  * New package (Closes: #654659)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 04 Dec 2019 22:19:01 -0500

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = plover
export PY3VERSION := $(shell py3versions -d)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	rm -rfv .eggs plover/.eggs
	dh_clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest
endif

override_dh_auto_install:
	dh_auto_install
	rm -rvf debian/plover/usr/lib/$(PY3VERSION)/dist-packages/plover_build_utils
	mkdir -p debian/plover/usr/share/plover
	mv debian/plover/usr/lib/$(PY3VERSION)/dist-packages/plover/assets debian/plover/usr/share/plover/
	dh_link usr/share/plover/assets usr/lib/$(PY3VERSION)/dist-packages/plover/assets
	mv debian/plover/usr/lib/$(PY3VERSION)/dist-packages/plover/gui_qt/resources debian/plover/usr/share/plover/
	dh_link usr/share/plover/resources usr/lib/$(PY3VERSION)/dist-packages/plover/gui_qt/resources
	dh_install application/plover.desktop usr/share/applications/
	dh_install plover/assets/plover.png usr/share/pixmaps/
	dh_install plover/assets/plover-icon.svg usr/share/icons/hicolor/scalable/apps/plover.svg

## plover 4.0.0~dev10

=== debian/changelog ===
plover (4.0.0~dev10-1) unstable; urgency=medium

  * New upstream version 4.0.0~dev10
  * Delete patches applied upstream
  * Remove Files-Excluded for debian/ dir
  * Adjust for files moved upstream.
  * Bump S-V, dh versions.
  * Remove deleted files, bump years in d/copyright
  * Add manpage for plover_send_command

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 24 Apr 2022 00:27:59 -0400

=== debian/control ===
Source: plover
Section: utils
Priority: optional
Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pyqt5-dev-tools,
               python3,
               python3-appdirs (>= 1.3.0),
               python3-babel,
               python3-dbus,
               python3-hid,
               python3-mock,
               python3-pkg-resources,
               python3-pyqt5,
               python3-pytest,
               python3-serial (>= 2.7),
               python3-setuptools,
               python3-setuptools-scm,
               python3-six,
               python3-wcwidth (>= 0.1.7),
               python3-xlib (>= 0.16)
Standards-Version: 4.6.0
Homepage: https://www.openstenoproject.org/plover/
Vcs-Git: https://salsa.debian.org/debian/plover.git
Vcs-Browser: https://salsa.debian.org/debian/plover
Rules-Requires-Root: no

Package: plover
Architecture: all
Depends: python3-dbus,
         python3-hid,
         python3-pyqt5,
         python3-xlib (>= 0.16),
         ${misc:Depends},
         ${python3:Depends}
Description: free stenography engine and typing tool
 Plover is a small, slick Python application that runs in the
 background and acts as a translator to read steno movements and
 emulate keystrokes in a way that the programs you are using can't
 even tell you're using steno.
 .
 Plover is used today by hundreds of people, ranging from professional
 stenographers, transcriptionists, programmers, and hobbyists.  It
 supports:
 .
  - Regular keyboards and real steno machines
  - Media key support to control media, change volume, etc.
  - Comes with a well-developed theory extended from StenEd,
    but with over 50,000 new strokes.
  - Supports JSON and RTF/CRE dictionaries
  - Includes training tools to help you learn

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_clean:
-	rm -rfv .eggs plover/.eggs
-	dh_clean
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -23,6 +19,6 @@
 	dh_link usr/share/plover/assets usr/lib/$(PY3VERSION)/dist-packages/plover/assets
 	mv debian/plover/usr/lib/$(PY3VERSION)/dist-packages/plover/gui_qt/resources debian/plover/usr/share/plover/
 	dh_link usr/share/plover/resources usr/lib/$(PY3VERSION)/dist-packages/plover/gui_qt/resources
-	dh_install application/plover.desktop usr/share/applications/
+	dh_install linux/plover.desktop usr/share/applications/
 	dh_install plover/assets/plover.png usr/share/pixmaps/
 	dh_install plover/assets/plover-icon.svg usr/share/icons/hicolor/scalable/apps/plover.svg

## plover 4.0.0~rc2

=== debian/changelog ===
plover (4.0.0~rc2-0.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Alexandre Detiste ]
  * debian/control: remove extraneous obsolete python3-mock build-dep.

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Feb 2024 19:51:51 -0500

plover (4.0.0~rc2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    + Fix FTBFS with newer python3. (Closes: #1009401)
  * debian/control:
    + Add new build-dep python3-plover-stroke, python3-rtf-tokenize,
      dh-exec.
    + Add new build-test-dep python3-pytest-xvfb, python3-pytestqt.
  * debian/plover.install:
    + Use dh-exec to properly rename files during file installation.
    + Install png icon to hicolors directory instead of /usr/share/pixmaps.
  * debian/source/lintian-overrides: Dropped, useless.
  * debian/plover.lintian-overrides: Dropped, useless.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Feb 2024 16:12:11 -0500

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,27 @@
 Priority: optional
 Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-exec,
+               dh-sequence-python3,
                pyqt5-dev-tools,
                python3,
                python3-appdirs (>= 1.3.0),
                python3-babel,
                python3-dbus,
                python3-hid,
-               python3-mock,
+               python3-plover-stroke,
                python3-pkg-resources,
                python3-pyqt5,
-               python3-pytest,
+               python3-pytest <!nocheck>,
+               python3-pytest-xvfb <!nocheck>,
+               python3-pytestqt <!nocheck>,
+               python3-rtf-tokenize,
                python3-serial (>= 2.7),
                python3-setuptools,
                python3-setuptools-scm,
-               python3-six,
                python3-wcwidth (>= 0.1.7),
                python3-xlib (>= 0.16)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.openstenoproject.org/plover/
 Vcs-Git: https://salsa.debian.org/debian/plover.git
 Vcs-Browser: https://salsa.debian.org/debian/plover

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = plover
export PY3VERSION := $(shell py3versions -d)

%:
	dh $@ --buildsystem=pybuild

# See https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=plover
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest -p pytest-qt -p xvfb
endif

execute_after_dh_auto_install:
	rm -rvf debian/plover/usr/lib/$(PY3VERSION)/dist-packages/plover_build_utils

## plover 4.0.0~rc5

=== debian/changelog ===
plover (4.0.0~rc5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * debian/control: Add new build-dep python3-evdev.
  * debian/control: Add build-dep pybuild-plugin-pyproject.
  * debian/patches/replace-appdirs-with-platformdirs.patch: Refresh patches
    to fix test failure. (Closes: #1084319)

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Feb 2025 13:09:21 -0500

plover (4.0.0~rc2-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace python3-appdirs usage with python3-platformdirs

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 16:35:00 +0200

plover (4.0.0~rc2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/plover.maintscript: Add symlink_to_dir helper to fix unhandled
    conversion from symlink to directory. (Closes: #1071114)

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jun 2024 19:40:06 -0400

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                pyqt5-dev-tools,
                python3,
-               python3-appdirs (>= 1.3.0),
                python3-babel,
                python3-dbus,
+               python3-evdev,
                python3-hid,
                python3-plover-stroke,
                python3-pkg-resources,
+               python3-platformdirs,
                python3-pyqt5,
                python3-pytest <!nocheck>,
                python3-pytest-xvfb <!nocheck>,
@@ -23,7 +25,7 @@
                python3-setuptools-scm,
                python3-wcwidth (>= 0.1.7),
                python3-xlib (>= 0.16)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.openstenoproject.org/plover/
 Vcs-Git: https://salsa.debian.org/debian/plover.git
 Vcs-Browser: https://salsa.debian.org/debian/plover
@@ -32,6 +34,7 @@
 Package: plover
 Architecture: all
 Depends: python3-dbus,
+         python3-evdev,
          python3-hid,
          python3-pyqt5,
          python3-xlib (>= 0.16),

## plover 5.0.0

=== doc/requirements.txt ===
sphinx-plover==0.3
furo==2023.05.20
myst-parser==2.0.0

=== debian/changelog ===
plover (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0
  * d/control: update dependencies -- note switch to pyside6
  * Refresh patches
  * Update d/control with changes deps (Closes: #1083549)
  * Bump S-V, no changes needed
  * Correct GPL frontmatter
  * Run wrap-and-sort
  * Add patch to disable plover_plugins cli tool
  * Add NEWS file to note graphical plugins may need updating

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 29 Oct 2025 23:22:13 -0400

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,32 @@
                dh-exec,
                dh-sequence-python3,
                pybuild-plugin-pyproject,
-               pyqt5-dev-tools,
+               pyside6-tools,
                python3,
                python3-babel,
                python3-dbus,
                python3-evdev,
                python3-hid,
+               python3-platformdirs,
                python3-plover-stroke,
-               python3-pkg-resources,
-               python3-platformdirs,
-               python3-pyqt5,
+               python3-psutil,
+               python3-pygments,
+               python3-pyside6.qtcore,
+               python3-pyside6.qtgui,
+               python3-pyside6.qttest,
+               python3-pyside6.qtwidgets,
                python3-pytest <!nocheck>,
                python3-pytest-xvfb <!nocheck>,
                python3-pytestqt <!nocheck>,
+               python3-requests-cache,
+               python3-requests-futures,
                python3-rtf-tokenize,
                python3-serial (>= 2.7),
                python3-setuptools,
                python3-setuptools-scm,
                python3-wcwidth (>= 0.1.7),
                python3-xlib (>= 0.16)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.openstenoproject.org/plover/
 Vcs-Git: https://salsa.debian.org/debian/plover.git
 Vcs-Browser: https://salsa.debian.org/debian/plover
@@ -37,6 +43,9 @@
          python3-evdev,
          python3-hid,
          python3-pyqt5,
+         python3-pyside6.qtcore,
+         python3-pyside6.qtgui,
+         python3-pyside6.qtwidgets,
          python3-xlib (>= 0.16),
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,4 @@
 
 execute_after_dh_auto_install:
 	rm -rvf debian/plover/usr/lib/$(PY3VERSION)/dist-packages/plover_build_utils
+	find debian/plover/ -name .gitignore -delete

=== debian/watch ===
# Unfortunately, upstream's versions are too complicated to usefully
# process with uscan given the constraints of uscan, without resorting
# to techniques that are truly gross.  Considering the release rate,
# it's easy enough just to keep an eye on it in person.
